OpenVDB 5.1.0

Public Member Functions | List of all members
CalculatePositionBounds< PositionArrayT > Struct Template Reference

`#include <PointConversion.h>`

## Public Member Functions
| CalculatePositionBounds (const PositionArrayT &positions, const math::Mat4d &inverse)
| CalculatePositionBounds (const CalculatePositionBounds &other, tbb::split)
void | operator() (const tbb::blocked_range< size_t > &range)
void | join (const CalculatePositionBounds &other)
BBoxd | getBoundingBox () const

## Constructor & Destructor Documentation

## ◆ CalculatePositionBounds() [1/2]

CalculatePositionBounds | ( | const PositionArrayT & | positions,
|  | const math::Mat4d & | inverse
| ) |  |
| inline

## ◆ CalculatePositionBounds() [2/2]

CalculatePositionBounds | ( | const CalculatePositionBounds< PositionArrayT > & | other,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ getBoundingBox()

BBoxd getBoundingBox | ( |  | ) | const
| inline

## ◆ join()

void join | ( | const CalculatePositionBounds< PositionArrayT > & | other | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |
| inline

The documentation for this struct was generated from the following file:

- PointConversion.h